{
    num: 197,
    accuracy: true,
    basePower: 0,
    category: "Status",
    name: "Detect",
    pp: 5,
    priority: 4,
    flags: { noassist: 1, failcopycat: 1 },
    boosts: {
        accuracy: 1
    },
    stallingMove: true,
    volatileStatus: "protect",
    onPrepareHit(pokemon) {
        return !!this.queue.willAct() && this.runEvent("StallMove", pokemon);
    },
    onHit(pokemon) {
        pokemon.addVolatile("stall");
    },
    secondary: null,
    target: "self",
    type: "Fighting",
    zMove: { boost: { evasion: 1 } },
    contestType: "Cool"
}
